from django.urls import re_path

from frappe import views

urlpatterns = [
    re_path(r"^$", views.index, name="index"),
    re_path(r"^documents/$", views.mes_documents, name="mes_documents"),
    re_path(r"^documents/add$", views.creer_document, name="creer_document"),
    re_path(r"^documents/edit/(?P<id>\d+)$", views.editer_document, name="editer_document"),
    re_path(
        r"^documents/delete/(?P<id>\d+)$",
        views.supprimer_document,
        name="supprimer_document",
    ),
    re_path(r"^annee/(?P<id>\d+)$", views.show_annee, name="show_annee"),
    re_path(r"^filiere/(?P<id>\d+)$", views.show_filiere, name="show_filiere"),
    re_path(r"^matiere/(?P<id>\d+)$", views.show_matiere, name="show_matiere"),
    re_path(
        r"^docfichiers/supprimer/(?P<id>\d+)$",
        views.docfichiers_supprimer,
        name="docfichiers_supprimer",
    ),
    re_path(r"^docfichiers/up/(?P<id>\d+)$", views.docfichiers_up, name="docfichiers_up"),
    re_path(
        r"^docfichiers/down/(?P<id>\d+)$",
        views.docfichiers_down,
        name="docfichiers_down",
    ),
    re_path(
        r"^commentaires/add/(?P<id>\d+)$",
        views.poster_commentaire,
        name="poster_commentaire",
    ),
    re_path(
        r"^commentaires/edit/(?P<id>\d+)$",
        views.editer_commentaire,
        name="editer_commentaire",
    ),
    re_path(
        r"^commentaires/delete/(?P<id>\d+)$",
        views.supprimer_commentaire,
        name="supprimer_commentaire",
    ),
]
